# Deck

This has been my first attempt at making my own mobile deck, mostly as a prepper type tool, as well as acting as a linux laptop that is both rugged and cheap

![Front-Off](/Media/Pictures/PXL_20200928_194037893.jpg)
![Front-On](/Media/Pictures/PXL_20200928_194222870.jpg)
![Internals](/Media/Pictures/PXL_20200928_194414310.jpg)
![Inventor](/Media/Inventor-ScreenShots/sc1.JPG)

## About

I was inspired by [r/cyberDeck](https://www.reddit.com/r/cyberDeck/), and more specifically the build by [jdoscher](https://back7.co/home/raspberry-pi-recovery-kit). This took me about 2 months and around 200 dollars. I already had many of the parts laying around, so I saved quite a bit compared to buying all new. The only thing not included here is the kit of M3 and M5 screws used to mount everything together. The deck has a slot that i chose to make a case for the hackrf. The slot on the right hand side of the screen however, can be inserted with anything, all you need is to design your own insert piece and print it! In jdoscher's build he included a switch, however I didn't see this being usede for networking, and would use it more for SDR projects, specifically satellite hunting. If you want to use something like a RTL-SDR however, feel free to design a part and do a pull request! I'd love to collect parts and make a reposity for a simple cyberDeck for anyone to build.

## Contents
1. Stl files: All the files needed to 3d print to work with the exact components i used
2. Ipt files: The files that can be opened in Inventor, I used Inventor Pro 2019 to create all files, except for the display bracket, credit for that goes to jdoscher, find his build [here](https://github.com/jdoscher/Back7co-Raspberry_Pi_Recovery_Kit)
3. Code: Theres not much to talk about here, just some basic setup stuff and useful utilities, like the clock, and a tool to adjust the display brightness (NOT ADDED YET)
4. Media: Videos of the 3d prints, as well as pictures to help you build everything

## Shopping list

All links are working as of late 2020

- [Case](https://www.amazon.com/gp/product/B001AXJPF2/ref=ppx_yo_dt_b_asin_title_o09_s00?ie=UTF8&psc=1)
- [7in TouchScreen Display](https://www.amazon.com/Raspberry-Pi-7-Touchscreen-Display/dp/B0153R2A9I)
- [RPi4 4gb model](https://www.adafruit.com/product/4296?gclid=Cj0KCQjwtsv7BRCmARIsANu-CQe9Cy3XqL4thPbcHLOZQLjL1lo59SRhWGJGfEGUQqKfSySVsZxCyHkaAprqEALw_wcB)
- [20000mAh 60W Power Bank](https://www.amazon.com/gp/product/B082PGS78L/ref=ppx_yo_dt_b_asin_title_o03_s00?ie=UTF8&psc=1)
- [1TB Harddrive](https://www.amazon.com/gp/product/B07CRG7BBH/ref=ppx_yo_dt_b_asin_title_o03_s00?ie=UTF8&psc=1)
- [Keyboard](https://www.amazon.com/gp/product/B008F7CYZO/ref=ppx_yo_dt_b_asin_title_o04_s00?ie=UTF8&psc=1)
- [Aux Panel Mount](https://www.amazon.com/gp/product/B07CQPJJXY/ref=ppx_yo_dt_b_asin_title_o01_s00?ie=UTF8&psc=1)
- [Ethernet Panel Mount](https://www.amazon.com/gp/product/B082SJ88MS/ref=ppx_yo_dt_b_asin_title_o02_s00?ie=UTF8&psc=1)
- [USB Panel Mount](https://www.amazon.com/gp/product/B07C87FYLY/ref=ppx_yo_dt_b_asin_title_o06_s00?ie=UTF8&psc=1)
- [Right Angle USB For HackRF](https://www.amazon.com/gp/product/B003YKX6WC/ref=ppx_yo_dt_b_asin_title_o02_s00?ie=UTF8&psc=1)
- [Right Angle USB-C](https://www.amazon.com/gp/product/B077XL7Q7H/ref=ppx_yo_dt_b_asin_title_o07_s00?ie=UTF8&psc=1)
- [Hardware Clock](https://www.amazon.com/gp/product/B00ZOXWHK4/ref=ppx_yo_dt_b_asin_title_o06_s00?ie=UTF8&psc=1)
- [Power Conversion Board](https://www.amazon.com/gp/product/B01NALDSJ0/ref=ppx_yo_dt_b_asin_title_o08_s00?ie=UTF8&psc=1)
